
const download = require('download-git-repo')
const path = require('path')
const ora = require('ora')
const chalk = require('chalk')

const REACT_16_GIT = 'gitlab.pengpengla.com:up/inland-cash';


module.exports = function () {
  const _path = path.join(process.cwd())
  const downProcess = ora(`光速构建中.....`)

  downProcess.start()
  return new Promise((resolve, reject) => {
    download(REACT_16_GIT,
      _path, { clone: true }, (err, res) => {
        downProcess.succeed()
        if (err) {
          reject(err)
          console.log(chalk.red('网络原因，构建失败'))
        } else {
          console.log(chalk.green('构建成功🚀🚀🚀🚀🚀🚀🚀🚀🚀🚀🚀🚀'))
          resolve(_path)
        }
      })
  })
 
}
